
Ryzom - Feature # 554

Status: Closed Priority: Low
Author: sfb Category: Build
Created: 05/19/2009 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: Add pre-compiled header support to GCC (CMake) builds.
Description

We use pre-compiled headers in Windows to speed the compilation of NeL. It helps especially with large libraries such as NL3D.
Please add support for GCC's precompiled headers (gch.)

Here is an example of another project doing this via CMake.

http://www.mail-archive.com/cmake@cmake.org/msg04394.html

History
#1 - 05/19/2009 05:54 pm - kervala

I think it will greatly speed up compiling :) I second that.

#2 - 07/25/2010 05:40 pm - kervala
- Status changed from New to Closed
- Assignee set to kervala
- Target version changed from 0.8.0 to Version 0.7.0

#3 - 07/25/2010 05:40 pm - kervala
- % Done changed from 0 to 100

#4 - 07/25/2010 05:41 pm - kervala
- Target version changed from Version 0.7.0 to 0.8.0

#5 - 09/29/2010 09:42 pm - kervala
- Project changed from NeL to Ryzom
- Category changed from Build to Build
- Target version deleted (0.8.0)

#6 - 09/30/2010 02:44 pm - kervala
- Target version set to Version 0.7.0
